import { Message } from 'eris';
import { Client, Command } from '../class';
import SystemD_Linger from './systemd_linger';

export default class SystemD extends Command {
  constructor(client: Client) {
    super(client);
    this.name = 'systemd';
    this.description = 'Manages various aspects for your user SystemD.';
    this.usage = `Run ${this.client.config.prefix}${this.name} [subcommand] for usage information`;
    this.subcmds = [SystemD_Linger];
    this.enabled = true;
  }

  public run(message: Message) {
    try {
      return this.client.commands.get('help').run(message, [this.name]);
    } catch (error) {
      return this.client.util.handleError(error, message, this);
    }
  }
}
